Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

ff 2.0.0.20 for mac 10.3.9 for pismo,anything later I can use

more options

Using ff 2.0.0.20 on my pismo laptop for mac using panther 10.3.9, is there a later version of ff that I can use and how do I get it. Version 3.6.3 will NOT work in the operating system

This happened

Every time Firefox opened

== Asking a question, if you will not assist, no problem

All Replies (1)

more options

No there is not. You have the last version that will work on that OS.